@tailwind base;
@tailwind components;
@tailwind utilities;

@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/variable/pretendardvariable-dynamic-subset.min.css");

.text-balance {
  text-wrap: balance;
}

@layer components {
  .bg-base-50 {
    @apply bg-stone-50 dark:bg-stone-950;
  }

  .bg-base-100 {
    @apply bg-stone-100 dark:bg-stone-900;
  }

  .bg-base-200 {
    @apply bg-stone-200 dark:bg-stone-800;
  }

  .bg-base-300 {
    @apply bg-stone-300 dark:bg-stone-700;
  }

  .bg-base-400 {
    @apply bg-stone-400 dark:bg-stone-600;
  }

  .bg-base-500 {
    @apply bg-stone-500 dark:bg-stone-500;
  }

  .bg-base-600 {
    @apply bg-stone-600 dark:bg-stone-400;
  }

  .bg-base-700 {
    @apply bg-stone-700 dark:bg-stone-300;
  }

  .bg-base-800 {
    @apply bg-stone-800 dark:bg-stone-200;
  }

  .bg-base-900 {
    @apply bg-stone-900 dark:bg-stone-100;
  }

  .bg-base-950 {
    @apply bg-stone-950 dark:bg-stone-50;
  }

  .text-base-50 {
    @apply text-stone-50 dark:text-stone-950;
  }

  .text-base-100 {
    @apply text-stone-100 dark:text-stone-900;
  }

  .text-base-200 {
    @apply text-stone-200 dark:text-stone-800;
  }

  .text-base-300 {
    @apply text-stone-300 dark:text-stone-700;
  }

  .text-base-400 {
    @apply text-stone-400 dark:text-stone-600;
  }

  .text-base-500 {
    @apply text-stone-500 dark:text-stone-500;
  }

  .text-base-600 {
    @apply text-stone-600 dark:text-stone-400;
  }

  .text-base-700 {
    @apply text-stone-700 dark:text-stone-300;
  }

  .text-base-800 {
    @apply text-stone-800 dark:text-stone-200;
  }

  .text-base-900 {
    @apply text-stone-900 dark:text-stone-100;
  }

  .text-base-950 {
    @apply text-stone-950 dark:text-stone-50;
  }

  .border-base-50 {
    @apply border-stone-50 dark:border-stone-950;
  }

  .border-base-100 {
    @apply border-stone-100 dark:border-stone-900;
  }

  .border-base-200 {
    @apply border-stone-200 dark:border-stone-800;
  }

  .border-base-300 {
    @apply border-stone-300 dark:border-stone-700;
  }

  .border-base-400 {
    @apply border-stone-400 dark:border-stone-600;
  }

  .border-base-500 {
    @apply border-stone-500 dark:border-stone-500;
  }

  .border-base-600 {
    @apply border-stone-600 dark:border-stone-400;
  }

  .border-base-700 {
    @apply border-stone-700 dark:border-stone-300;
  }

  .border-base-800 {
    @apply border-stone-800 dark:border-stone-200;
  }

  .border-base-900 {
    @apply border-stone-900 dark:border-stone-100;
  }

  .border-base-950 {
    @apply border-stone-950 dark:border-stone-50;
  }

  .placeholder-base-50 {
    @apply placeholder-stone-50 dark:placeholder-stone-950;
  }

  .placeholder-base-100 {
    @apply placeholder-stone-100 dark:placeholder-stone-900;
  }

  .placeholder-base-200 {
    @apply placeholder-stone-200 dark:placeholder-stone-800;
  }

  .placeholder-base-300 {
    @apply placeholder-stone-300 dark:placeholder-stone-700;
  }

  .placeholder-base-400 {
    @apply placeholder-stone-400 dark:placeholder-stone-600;
  }

  .placeholder-base-500 {
    @apply placeholder-stone-500 dark:placeholder-stone-500;
  }

  .placeholder-base-600 {
    @apply placeholder-stone-600 dark:placeholder-stone-400;
  }

  .placeholder-base-700 {
    @apply placeholder-stone-700 dark:placeholder-stone-300;
  }

  .placeholder-base-800 {
    @apply placeholder-stone-800 dark:placeholder-stone-200;
  }

  .placeholder-base-900 {
    @apply placeholder-stone-900 dark:placeholder-stone-100;
  }

  .placeholder-base-950 {
    @apply placeholder-stone-950 dark:placeholder-stone-50;
  }

  .bg-primary-50 {
    @apply bg-cyan-50 dark:bg-cyan-950;
  }

  .bg-primary-100 {
    @apply bg-cyan-100 dark:bg-cyan-900;
  }

  .bg-primary-200 {
    @apply bg-cyan-200 dark:bg-cyan-800;
  }

  .bg-primary-300 {
    @apply bg-cyan-300 dark:bg-cyan-700;
  }

  .bg-primary-400 {
    @apply bg-cyan-400 dark:bg-cyan-600;
  }

  .bg-primary-500 {
    @apply bg-cyan-500 dark:bg-cyan-500;
  }

  .bg-primary-600 {
    @apply bg-cyan-600 dark:bg-cyan-400;
  }

  .bg-primary-700 {
    @apply bg-cyan-700 dark:bg-cyan-300;
  }

  .bg-primary-800 {
    @apply bg-cyan-800 dark:bg-cyan-200;
  }

  .bg-primary-900 {
    @apply bg-cyan-900 dark:bg-cyan-100;
  }

  .bg-primary-950 {
    @apply bg-cyan-950 dark:bg-cyan-50;
  }

  .text-primary-50 {
    @apply text-cyan-50 dark:text-cyan-950;
  }

  .text-primary-100 {
    @apply text-cyan-100 dark:text-cyan-900;
  }

  .text-primary-200 {
    @apply text-cyan-200 dark:text-cyan-800;
  }

  .text-primary-300 {
    @apply text-cyan-300 dark:text-cyan-700;
  }

  .text-primary-400 {
    @apply text-cyan-400 dark:text-cyan-600;
  }

  .text-primary-500 {
    @apply text-cyan-500 dark:text-cyan-500;
  }

  .text-primary-600 {
    @apply text-cyan-600 dark:text-cyan-400;
  }

  .text-primary-700 {
    @apply text-cyan-700 dark:text-cyan-300;
  }

  .text-primary-800 {
    @apply text-cyan-800 dark:text-cyan-200;
  }

  .text-primary-900 {
    @apply text-cyan-900 dark:text-cyan-100;
  }

  .text-primary-950 {
    @apply text-cyan-950 dark:text-cyan-50;
  }

  .border-primary-50 {
    @apply border-cyan-50 dark:border-cyan-950;
  }

  .border-primary-100 {
    @apply border-cyan-100 dark:border-cyan-900;
  }

  .border-primary-200 {
    @apply border-cyan-200 dark:border-cyan-800;
  }

  .border-primary-300 {
    @apply border-cyan-300 dark:border-cyan-700;
  }

  .border-primary-400 {
    @apply border-cyan-400 dark:border-cyan-600;
  }

  .border-primary-500 {
    @apply border-cyan-500 dark:border-cyan-500;
  }

  .border-primary-600 {
    @apply border-cyan-600 dark:border-cyan-400;
  }

  .border-primary-700 {
    @apply border-cyan-700 dark:border-cyan-300;
  }

  .border-primary-800 {
    @apply border-cyan-800 dark:border-cyan-200;
  }

  .border-primary-900 {
    @apply border-cyan-900 dark:border-cyan-100;
  }

  .border-primary-950 {
    @apply border-cyan-950 dark:border-cyan-50;
  }

  .placeholder-primary-50 {
    @apply placeholder-cyan-50 dark:placeholder-cyan-950;
  }

  .placeholder-primary-100 {
    @apply placeholder-cyan-100 dark:placeholder-cyan-900;
  }

  .placeholder-primary-200 {
    @apply placeholder-cyan-200 dark:placeholder-cyan-800;
  }

  .placeholder-primary-300 {
    @apply placeholder-cyan-300 dark:placeholder-cyan-700;
  }

  .placeholder-primary-400 {
    @apply placeholder-cyan-400 dark:placeholder-cyan-600;
  }

  .placeholder-primary-500 {
    @apply placeholder-cyan-500 dark:placeholder-cyan-500;
  }

  .placeholder-primary-600 {
    @apply placeholder-cyan-600 dark:placeholder-cyan-400;
  }

  .placeholder-primary-700 {
    @apply placeholder-cyan-700 dark:placeholder-cyan-300;
  }

  .placeholder-primary-800 {
    @apply placeholder-cyan-800 dark:placeholder-cyan-200;
  }

  .placeholder-primary-900 {
    @apply placeholder-cyan-900 dark:placeholder-cyan-100;
  }

  .placeholder-primary-950 {
    @apply placeholder-cyan-950 dark:placeholder-cyan-50;
  }

  .ring-accent-50 {
    @apply ring-purple-50 dark:ring-purple-950;
  }

  .ring-accent-100 {
    @apply ring-purple-100 dark:ring-purple-900;
  }

  .ring-accent-200 {
    @apply ring-purple-200 dark:ring-purple-800;
  }

  .ring-accent-300 {
    @apply ring-purple-300 dark:ring-purple-700;
  }

  .ring-accent-400 {
    @apply ring-purple-400 dark:ring-purple-600;
  }

  .ring-accent-500 {
    @apply ring-purple-500 dark:ring-purple-500;
  }

  .ring-accent-600 {
    @apply ring-purple-600 dark:ring-purple-400;
  }

  .ring-accent-700 {
    @apply ring-purple-700 dark:ring-purple-300;
  }

  .ring-accent-800 {
    @apply ring-purple-800 dark:ring-purple-200;
  }

  .ring-accent-900 {
    @apply ring-purple-900 dark:ring-purple-100;
  }

  .ring-accent-950 {
    @apply ring-purple-950 dark:ring-purple-50;
  }
}